> For the complete documentation index, see [llms.txt](https://docs.appmixer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.appmixer.com/6.0/6.4/api/config.md).

# Config

System configuration. The following endpoints are only accessible to users with \`admin\` scope.

## Get all configuration entries

<mark style="color:blue;">`GET`</mark> `https://api.YOUR_TENANT.appmixer.cloud/config`

Only returns the values that have been stored by the user through the API

{% tabs %}
{% tab title="200: OK " %}

```javascript
[
  {
    "key": "JWTSecret",
    "value": "OQekJ3DH4pRnWFl4wlN0hzhc5UIjdihEwFnwYLYUdXGXk+/f5JieT/1VLPUJnvALIGK014md41rUuarqYZscl2T5azHQmFhQmUKj8dEuoIELWB45wlkxDKcojCQi9Otk76itnmvKrbm/ZokDJxePNv2Edgc7/mLrTHG7l54w44c="
  },
  {
    "key": "WEBHOOK_FLOW_COMPONENT_ERROR",
    "value": "https://example.com/webhook"
  }
]
```

{% endtab %}
{% endtabs %}

## Create a configuration key/value pair

<mark style="color:green;">`POST`</mark> `https://api.YOUR_TENANT.appmixer.cloud/config`

#### Request Body

| Name                                    | Type   | Description         |
| --------------------------------------- | ------ | ------------------- |
| key<mark style="color:red;">\*</mark>   | String | Configuration key   |
| value<mark style="color:red;">\*</mark> | Any    | Configuration value |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "key": "myConfigKey",
  "value": "My Custom Value"
}
```

{% endtab %}
{% endtabs %}

## Removes a configuration entry

<mark style="color:red;">`DELETE`</mark> `https://api.YOUR_TENANT.appmixer.cloud/config/:key`

#### Path Parameters

| Name                                  | Type   | Description                                |
| ------------------------------------- | ------ | ------------------------------------------ |
| key<mark style="color:red;">\*</mark> | String | The key of the configuration to be removed |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{ "ok": true }
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.appmixer.com/6.0/6.4/api/config.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
